Subject: Re: bug#21068: guix system: error: build failed: path `/gnu/store/..-grub.cfg' is not valid

From: Germano Gabbianelli <[email-masked]>
Date: Sun, 26 Jul 2015 15:25:33 +0200

On 16/07/15 15:37, Ludovic Courtès wrote:
> This could be due to how you fiddled manually with /gnu/store and
> /var/guix.  In general, one should never manually touch these
> directories; instead, one should use ‘guix gc’ and similar commands.
I did not fiddle with those directory. I only removed them to reinstall 
guix.
>> I also trying reinstalling guix by deleting /gnu, /var/guix, and
>> /var/log/guix (and also wiping the partition with rm)
> To be safe, could you start anew again, and report back?
>
>    sudo rm -rf /gnu /var/guix
>    # reinstall from binary tarball
I did it, for the third time. I always get the same error:

guix system: error: build failed: path 
`/gnu/store/kv217jzyir2wx0lwwxl7ljpwc4fzafpi-grub.cfg' is not valid

This time I used guix 0.8.3.

>>    (bootloader (grub-configuration (device "/dev/sda9")))
> There’s a mistake here: it should be “/dev/sda” (say), not “/dev/sda9”
> (the latter designates a partition, whereas the former designates a
> disk.)  It doesn’t matter here since you passed --no-grub, but it would
> otherwise lead to a ‘grub-install’ failure.
I tried removing that line, but if I do I get an error saying "missing 
field initializers (bootloader)".
So I also tried to specify a non existent disk (i.e. /dev/sdb), so it 
does not complain about the bootloader options, but I still get the 
"path 'grub.cfg' is not valid" error.